#include <stdio.h>
#include <iostream>
using namespace std;


int main()
{
    long long n,m;
    cin>>n>>m;
    long long druzeljubivost[n];
    long long sreca=0;
    for(int i=0;i<n;i++){
        cin>>druzeljubivost[i];
    }
    for(long long i=0;i<m;i++){
        long long g,h;
        cin>>g>>h;
        long long zbiric=druzeljubivost[g-1]+druzeljubivost[h-1];
        long long prvi= sreca+zbiric;
        long long drugi=sreca-zbiric;
        if(prvi>drugi){
            sreca+=zbiric;
        }else sreca-=zbiric;
    }
    cout<<sreca;
    return 0;
}